QByteArray(3qt)

NAME
QByteArray - Array of bytes

SYNOPSIS
#include <qcstring.h>

Inherits QMemArray<char>.

Inherited by QBitArray and QCString.

  Public Members
QByteArray ()
QByteArray ( int size )

DESCRIPTION
The QByteArray class provides an array of bytes.

The QByteArray class provides an explicitly shared array of bytes. It is useful for manipulating memory areas with custom data. QByteArray is implemented as QMemArray<char>. See the QMemArray documentation for further information.

See also Collection Classes and Non-GUI Classes.

MEMBER FUNCTION DOCUMENTATION

QByteArray::QByteArray ()
Constructs an empty QByteArray.

QByteArray::QByteArray ( int size )
Constructs a QByteArray of size size.

SEE ALSO
http://doc.trolltech.com/qbytearray.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qbytearray.3qt) and the Qt version (3.0.3).